Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 189554 - Selection splits word for wrap-at-word-boundary line wrapping type
Selection splits word for wrap-at-word-boundary line wrapping type
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Painting & Printing
7.0
PC All
: P3 (vote)
: 7.0
Assigned To: issues@editor
issues@editor
linewrap
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-16 14:18 UTC by Miloslav Metelka
Modified: 2010-09-03 03:11 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miloslav Metelka 2010-08-16 14:18:59 UTC
1. Set Tools->Options->Editor->Formatting->Line Wrap to "After words".
2. Have a line "List l = new ArrayList();"
3. Shrink window so that "ArrayList" appears on next line.
4. Start to select characters on the line. Once the characters from "ArrayList" start to be selected they first appear on the same line and once the end of window is reached then the whole identifier starts to appear on the next line.
Comment 1 Miloslav Metelka 2010-09-02 16:02:37 UTC
Finally fixed.
http://hg.netbeans.org/jet-main/rev/922df71e7d26
Comment 2 Quality Engineering 2010-09-03 03:11:35 UTC
Integrated into 'main-golden', will be available in build *201009030000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/922df71e7d26
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #189554 - Selection splits word for wrap-at-word-boundary line wrapping type.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo